com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonObjectFormatVisitor

- All Superinterfaces:
    JsonFormatVisitorWithSerializerProvider
  All Known Implementing Classes:
    JsonObjectFormatVisitor.Base

      public interface JsonObjectFormatVisitor
      extends JsonFormatVisitorWithSerializerProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonObjectFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `optionalProperty(BeanProperty writer)`
    `void` | `optionalProperty(String name)` Deprecated.
    `void` | `optionalProperty(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`
    `void` | `property(BeanProperty writer)`
    `void` | `property(String name)` Deprecated.
    `void` | `property(String name, JsonFormatVisitable handler, JavaType propertyTypeHint)`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

      `getProvider, setProvider`

- - ### Method Detail

    - #### property

          void property(BeanProperty writer)
                        throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### property

          void property(String name,
                      JsonFormatVisitable handler,
                      JavaType propertyTypeHint)
                        throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### property

          @Deprecated
          void property(String name)
                        throws JsonMappingException

      Deprecated.
      Throws:
        `JsonMappingException`

    - #### optionalProperty

          void optionalProperty(BeanProperty writer)
                                throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### optionalProperty

          void optionalProperty(String name,
                              JsonFormatVisitable handler,
                              JavaType propertyTypeHint)
                                throws JsonMappingException

      Throws:
        `JsonMappingException`

    - #### optionalProperty

          @Deprecated
          void optionalProperty(String name)
                                throws JsonMappingException

      Deprecated.
      Throws:
        `JsonMappingException`

Copyright © 2012-2013 FasterXML. All Rights Reserved.